# (progn (python-mode) (setq font-lock-keywords (append '(("\\b\\(c?menu\\|\\$\\|python\\|image\\|character\\|scene\\|show\\|hide\\|include\\|jump\\)\\b" (0 font-lock-keyword-face)) ("\\b\\(label\\)\\s-+\\(\\w+\\):" (1 font-lock-keyword-face) (2 font-lock-function-name-face))) python-font-lock-keywords)) (font-lock-mode 1) (font-lock-fontify-buffer))

##############################################################################
#
# Day 1 - In which we arrive at the Onedara house, meet Miina, and talk with
# Karen.

$ store(promise=None)

label d1:

    scene house 1

    "The Onedara house, where Karen and her family live, and where I
    lived until I was able to move into my own place."

    "Her parents don't seem to be home, and I don't want to trouble
    Karen by having her come all the way down the stairs. I'll just
    let myself in."

    "But as I put my hand on the doorknob, the door opens by itself."

    scene house 2
    show miina green neutral

    m "Oh, hello."

    menu:
        '"Who are you?"':

            show miina green mad

            m "I should be asking you that. Are you some sort of
            pervert, sneaking into girls houses?"

            n "No, I was just..."

            m "You were just what? Sneaking in?"

            n "No... just bringing over Karen's homework. See, it's
            right here."
            
            show miina green neutral

            m "I guess that's okay then. You should be more polite, ..."


        '"I\'m here to give Karen her homework."':

            m "I'm sure she'll appreciate that. What's your name, anyway?"
    
    n "My name is %(fullname)s. I'm a classmate of Karen's."

    $ m.name = "Miina"

    m "I'm Miina Miyafuji, Karen's new live-in nurse."

    m "I'm here to take care of her while her parents are away on a
    trip."

    "That's odd. Karen's parents aren't the type of people to go on a
    trip while their daughter is sick."

    "And Miina seems a bit young to have a job as a nurse. She doesn't
    look any older than I am."

    menu:
        '"Aren\'t you a bit young to be a nurse?"':

            m "It's sweet of you to think so, but I'm very qualified."

            m "If that wasn't the case, Karen's parents wouldn't have left her in my
            care. Right?"
            
            n "I guess so."

            m "Anyway, I'm sure you want to see Karen. I'll go up and
            let her know you're here."

            hide miina

            "Actually, I'm really not sure of any of this, but there's
            something about Miina's tone of voice that makes me just
            want to accept it."

        '"Can I bring these papers to Karen?"':

            m "Sure. I'll go up and let her know you're here."

            hide miina
    
            "Even though I find myself questioning if Miina really is
            what she says she is, I just can't bring myself to express
            my doubts."

    m "Karen says to come on up!"

    scene karen bed normal

    n "You're looking well."

    k "I'm feeling better."

    "That's the way we've started each of these visits, ever since Karen first went to the hospital. Neither statement is true, but if Karen won't give up hope, neither will I."

    n "I brought you the work Mrs. Mizuho graded."

    k "How did I do?"

    n "I didn't look, but I'm sure you got all As."

    n "When you get better, I'm sure you'll be at the head of the class."

    scene karen bed happy

    "This brings a hint of a smile to Karen's face."

    scene karen bed normal

    k "Yes, when I get better..."

    $ mset = []

    menu d1_karen_1:
        seenset mset

        "Ask her where her parents are.":
            n "Where did your parents get off to?"

            k "Both of my parents were called away on business this
            week."

            k "Father was asked to meet with a client in Australia, while
            Mother went to a trade show in America."

            k "With all of my bills, they have to work extra hard to
            make ends meet."

            n "Isn't it strange that they left so quickly?"

            k "Yes, but that's business these days. They did arrange
            for a nurse to take care of me for this week."

            k "I just hope that I'll see them again..."

            jump d1_karen_1

        "Ask about Miina.":

            n "What's the deal with your nurse?"

            k "Miina is the live-in nurse my parents hired to take
            care of me while they are out of the country."

            k "She's supposed to check in on me every once in a while,
            to be sure I'm okay."

            k "She also cooks and takes care of the house, since I
            can't."

            n "Isn't she a bit young?"

            k "Well, my parents said that she was the most qualified
            nurse they could find. So I guess it's okay."

            k "It's not like anything she does will matter..."

            jump d1_karen_1

        "Let her rest.":
            pass

    n "Well, that's it. I should probably get going, and let you get
    some rest."

    "I turn to leave."

    k "%(name)s..."

    show karen bed sad

    k "I'm not going to get better, am I?"

    n "Of course you will! Don't say stuff like that."

    "Even if she tries to give up hope, I won't let her."

    n "You'll get better, and you'll go back to school, and you'll be
    first in your class. You'll grow up and meet someone, and get
    married, and live a long and happy life."

    show karen bed tough

    k "Maybe I will..."

    k "%(name)s, when I get better, will you promise to take me out on
    a date?"

    menu:
        '"Of course I promise."':
            $ promise = True
            k "I'll hold you to that, as soon as I'm better."

        '"You should rest."':
            $ promise = False
            n "Shouldn't you rest before making big promises like that?"

    n "I'll be going now. Save your strength, and be sure to get
    better."

    k "Goodbye."

    n "Later."

    scene house sunset

    "I leave the Onedara house."

    "Hopefully, I gave Karen a little more hope. Every day she keeps
    fighting is a small victory."

    "I'll come up with an excuse to check on her tomorrow, to be sure
    she's okay."

    "There's something strange about the effect nurse Miina has on
    people. I can't put my finger on it, but there's someting more
    going on there."

    "Oh well, I guess I'll find out about it in good time."

    "With that, I head home. Even if I don't pay attention in class, I
    still have to do homework like everyone else."

    return
