
label d3:

    scene classroom 1

    "The next day, I arrived at school on time, as I usually do."

    "There was a pop quiz on history. I hate pop quizzes, since you
    can't cram for them."

    "I think I passed."

    scene miina bench happy

    "I wasn't able to talk to Miina at lunch, as she was once again
    mobbed by students who wanted to find out more about her."

    "They asked mundane questions, such as where she was from (she
    claimed Tokyo) and if she had a boyfriend (no)."

    scene classroom kids

    "Class after class dragged by, but finally the day was over."

    scene outside kids

    "I started walking home, in a group that included Miina and a
    half-dozen other students."

    "One by one, the other students left to go to their own houses,
    until at last we were alone."

    "Finally, I spoke."

    n "Karen's feeling better."

    n "She doesn't want to admit it yet, so she's going to the
    doctor's to make sure. But I saw her yesterday, and I know what
    the doctors will say."

    n "She's really getting better."

    m "I'm glad."

    n "The doctors said this wouldn't happen. They told me that it
    would take a miracle for her to get better."

    m "Sometimes miracles happen. The world's a strange place."

    n "Something else strange happend a few days ago."

    n "A girl showed up at Karen's house, claiming to be her live-in nurse."

    n "The next day, the same girl showed up at school, claiming to be
    a transfer student."

    # Condition on having talked to Mizuho yesterday.
    if True:
        n "She didn't have any records. It's like she came out of nowhere."

    n "The funny thing is, nobody seemed to notice, but me."

    "I notice that she's stopped walking, and is several paces behind
    me." 

    "The sun glints off the hint of a tear that is in her eye."

    m "I... I don't know what I can say."

    m "I don't know what I should do."

    m "I did help Karen... that was the easy part. Where I'm from, any..."

    m "But now... now I don't know how to do what I have to do next."

    m "They tell me what to do, but they don't tell me how to do it."

    m "They, he, she, it... I don't even know that much."

    m "I can't even talk to anyone about it. Most people would just
    nod their heads and accept whatever I said without question, and
    they'd just go on ignoring me."

    m "They said it's a blessing, to help me hide. I think it's more of
    a curse."

    m "You're special, I think. I don't know why. But you notice that
    I'm different."

    m "I just wish I was allowed to tell you why!"

    menu:
        '"What did they tell you to do?"':

            m "That's one of the things I'm not allowed to tell you."

        '"Why aren\'t you allowed to tell me?"':

            m "Because if I did, they said they wouldn't let me go home!"

    m "Right before I showed up here, they gave me a task, a mission. Then
    they gave me a warning."

    m "They said I couldn't let anyone know what my task was, and I
    couldn't let anyone know where I'm from."

    m "They said that if I broke their rules, I'd be stuck forever. And then
    I woke up here."

    m "And I don't even know anybody. I don't know where anything is.  I
    barely even know where here is. I'm stuck here alone, and there's
    nothing I can do."

    menu:
        '"How can you say you don\'t know anybody?"':

            n "You know Karen, and you know me. That's two people in two days!"

            n "You're only as alone in this as you want to be. I don't know what
            this task you have is, and I don't know why you can't tell me."

            n "But I don't care about that."

            n "I knew what it was like to be alone, but then I met Karen and her
            family and everyone else around here."

            n "If you want to get back home, and you know where that is, I'll do
            whatever I can to help you. But until then, you should find out more about
            this town, because it's a really great place to live."

            "I paused for breath."
            
        '"This town really isn\'t so bad."':

            n "It's small enough that the air is clean, yet large
            enough that there are things to do. You should go
            downtown, to see all the things there are to do."

            n "What's more, there are friendly people here."

            n "People around here help each other out when they have
            problems. I don't know what you have to do, and I don't
            understand why you can't just tell me."

            n "But that doesn't matter, since I do know what it is I
            should do."

            n "And that's help, in any way I can."

            pass

    m "%(name)s..."

    $ store(show_miina_around=False)

    menu:
        "Offer to show her around town.":

            $ show_miina_around = True

            n "Since you're new here, you don't know where anything
            is."

            n "I was like that when I first moved here. It really
            helps if you have someone to show you around town."

            n "If you'd like, I can be your guide."

            m "I think..."

            m "I think I'd like that."

            "My cell phone chose that moment to begin ringing."
            
        "Do nothing.":

            "Miina's been through alot today. Most of it was my
            fault. I think I should give her some time for this to
            sink in."

            "The silence was broken by the ringing of my cell phone."

    "I took the call."

    n "That was Karen. She says she's feeling better, and needs someone walk
    her home from the hospital."

    if show_miina_around:

        n "It looks like I won't be able to give you the grand tour
        today, after all. How does tomorrow sound? We can leave right
        from school."

        m "That sounds fine."

    menu:
        "Take your leave of Miina.":

            n "Well, I guess this is where we have to part. Karen's
            house is right here, but I have to keep walking to the
            hospital."

            n "I'll see you tomorrow, though. Remember what I said,
            and we'll talk some more tomorrow."

            m "Goodbye."

            n "Not goodbye... just 'later'."

        "Ask Miina if she wants to come along.":

            n "You know, if there's anyone responsible for helping
            Karen get better, it's you."

            n "If you're willing to put up with a bit of a walk, you
            can come along. What do you say?"

            m "Do you think Karen would want to see me?"

            n "Sure! Why wouldn't she?"

            m "Then I'll come."

            n "Why don't we drop off our books and things here, and
            start heading to the hospital."

label d3_k_hospital:

    "With that, I set off for the hospital."

    "I'm not sure if leaving Miina behind was the right thing to do,
    but at the same time, I don't think Karen will be ready to deal
    with her quite yet."

    "When I arrive at the hospital, I see Karen waiting for me
    on a bench outside. I run to meet her."

    n "You're looking well."

    k "I'm feeling much better!"

    # TODO: Check this.
    k "The doctors examined me, and they said that as far as they can
    tell I'm a perfectly healthy 16-year-old."

    k "All their tests came up clean. I heard two doctors talking
    in the hall, and one of them didn't seem to believe that I
    was sick in the first place. He thought that they had mixed up the
    charts, or something."

    k "I kept waiting for something to go wrong, for them to find some
    sort of problem, some reason why I wasn't recovering..."

    k "But they never did!"

    k "Finally, a doctor told me that there wasn't much sense left
    in keeping a healthy girl in the hospital. He made me promise to
    come back for some followup tests, and then said I was free to
    go."

    k "He said that he'd call an ambulance to take me home, but I
    refused."

    k "I told him that I hadn't gone for a walk in a while, and that
    today is a beautiful day for one."

    # TODO: condition on promise
    k "And I can't think of anyone I'd rather share it with than you."

    k "So let's go!"

    

    
    
